apiConnectionStatus
RequêteClé requiseShop API: the connection behind this key — scopes, expiry, rotation advice, limits and remaining budget. Always granted to a connection key.
Arguments
Aucun
Retourne
Exemple
query ApiConnectionStatus {
apiConnectionStatus {
appCode
connectionId
expiresAt
externalShopUrl
keyKind
keyPrefix
limits {
bulkPerMinute
dailyWrites
readsPerMinute
writesPerMinute
}
minSupportedVersion
organizationId
pluginVersion
remaining {
bulk
daily
read
write
}
rotationDue
scopes
settingsJson
status
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiConnectionStatus { apiConnectionStatus { appCode connectionId expiresAt externalShopUrl keyKind keyPrefix limits { bulkPerMinute dailyWrites readsPerMinute writesPerMinute } minSupportedVersion organizationId pluginVersion remaining { bulk daily read write } rotationDue scopes settingsJson status } }"}'